summaryrefslogtreecommitdiffstats
path: root/games/Scorched3D
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-12 17:39:04 +0200
committer Chess Griffin <chess@slackbuilds.org>2010-05-12 17:39:04 +0200
commit1b9f21495c03c576af030c74719a445d804574d5 (patch)
tree8dad4c778cb3274217257a1eaf37d2ba25b5b8ae /games/Scorched3D
parent960fee848dfac0556a17e097c6f477f6db99fa58 (diff)
downloadslackbuilds-1b9f21495c03c576af030c74719a445d804574d5.tar.gz
slackbuilds-1b9f21495c03c576af030c74719a445d804574d5.tar.xz
games/Scorched3D: Updated for version 42.1
Diffstat (limited to 'games/Scorched3D')
-rw-r--r--games/Scorched3D/Scorched3D.SlackBuild25
-rw-r--r--games/Scorched3D/Scorched3D.info10
-rw-r--r--games/Scorched3D/scorched3d-42.1-fixups.patch32
-rw-r--r--games/Scorched3D/scorched3d.desktop6
-rw-r--r--games/Scorched3D/slack-desc2
5 files changed, 58 insertions, 17 deletions
diff --git a/games/Scorched3D/Scorched3D.SlackBuild b/games/Scorched3D/Scorched3D.SlackBuild
index 19d87f569d..4b5a58f2f4 100644
--- a/games/Scorched3D/Scorched3D.SlackBuild
+++ b/games/Scorched3D/Scorched3D.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Scorched3D
-# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# Copyright 2008-2009 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=Scorched3D
-VERSION=41.3
+VERSION=42.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,6 +37,8 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
set -e
@@ -45,30 +47,39 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf scorched
+rm -rf scorched-dep-osx
tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
cd scorched
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+patch -p1 -i $CWD/scorched3d-42.1-fixups.patch
+
+chmod +x ./autogen.sh
+./autogen.sh
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --datadir=/usr/share/scorched3d
+ --datadir=/usr/share/scorched3d \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
mkdir -p $PKG/usr/share/{applications,pixmaps}
cp -f $CWD/scorched3d.desktop $PKG/usr/share/applications
cp -f $CWD/scorched3d.png $PKG/usr/share/pixmaps
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COMPILING COPYING README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share/scorched3d/documentation/html
+cp -a CHANGELOG README $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/usr/share/scorched3d/documentation/* $PKG/usr/doc/$PRGNAM-$VERSION/
rm -rf $PKG/usr/share/scorched3d/documentation
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/games/Scorched3D/Scorched3D.info b/games/Scorched3D/Scorched3D.info
index 03cf93f781..41da071d56 100644
--- a/games/Scorched3D/Scorched3D.info
+++ b/games/Scorched3D/Scorched3D.info
@@ -1,8 +1,8 @@
PRGNAM="Scorched3D"
-VERSION="41.3"
+VERSION="42.1"
HOMEPAGE="http://www.scorched3d.co.uk"
-DOWNLOAD="http://downloads.sourceforge.net/scorched3d/Scorched3D-41.3-src.tar.gz"
-MD5SUM="6bb47045abccaca1f775ff4cde8b3b5d"
+DOWNLOAD="http://downloads.sourceforge.net/scorched3d/Scorched3D-42.1-src.tar.gz"
+MD5SUM="e24867615568ef541a291a4813fcbdae"
MAINTAINER="ppr:kut"
-EMAIL="HMWiesinger@gmx.at"
-APPROVED="David Somero"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="chess,rworkman"
diff --git a/games/Scorched3D/scorched3d-42.1-fixups.patch b/games/Scorched3D/scorched3d-42.1-fixups.patch
new file mode 100644
index 0000000000..791fbe7f33
--- /dev/null
+++ b/games/Scorched3D/scorched3d-42.1-fixups.patch
@@ -0,0 +1,32 @@
+diff -ru scorched.orig/configure-al.m4 scorched/configure-al.m4
+--- scorched.orig/configure-al.m4 2008-03-03 16:17:18.000000000 -0500
++++ scorched/configure-al.m4 2009-02-15 20:43:35.000000000 -0500
+@@ -7,25 +7,9 @@
+ [ --disable-openaltest Do not try to compile and run a test OpenAL program],
+ , enable_openaltest=yes)
+ AC_MSG_CHECKING(for OpenAL support)
+-AC_PATH_PROG(OPENAL_CONFIG, openal-config, no)
+-if test x$OPENAL_CONFIG = xno; then
+- echo "*** The openal-config script installed by OpenAL could not be found"
+- echo "*** Make sure openal-config is in your path, or set the OPENAL_CONFIG"
+- echo "*** environment variable to the full path to openal-config."
+-
+- AC_MSG_ERROR([*** Can't find the openal library. Try: http://www.openal.org/])
+-else
+-
+- if test x"$use_static_openal" = x"yes"; then
+- AL_LIBS="/usr/local/lib/libopenal.a"
+- else
+- AL_LIBS="`$OPENAL_CONFIG --libs`"
+- fi
+-
+- AL_CFLAGS="`$OPENAL_CONFIG --cflags`"
+-
+- AC_MSG_RESULT(yes)
+-fi
++AL_LIBS="-lopenal"
++AL_CFLAGS="-I/usr/include/AL"
++AC_MSG_RESULT(yes)
+
+ AC_MSG_CHECKING(for Freealut support)
+ AC_PATH_PROG(FREEALUT_CONFIG, freealut-config, no)
diff --git a/games/Scorched3D/scorched3d.desktop b/games/Scorched3D/scorched3d.desktop
index f309f2c1c2..1d5d82c036 100644
--- a/games/Scorched3D/scorched3d.desktop
+++ b/games/Scorched3D/scorched3d.desktop
@@ -1,12 +1,10 @@
[Desktop Entry]
-Encoding=UTF-8
-MultipleArgs=false
+X-MultipleArgs=false
Terminal=false
Exec=scorched3d
Icon=scorched3d
Type=Application
-Categories=Game;Strategy
+Categories=Game;
StartupNotify=false
Name=Scorched 3D
GenericName=Artillery Game
-
diff --git a/games/Scorched3D/slack-desc b/games/Scorched3D/slack-desc
index fa38383569..e7c492fa29 100644
--- a/games/Scorched3D/slack-desc
+++ b/games/Scorched3D/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler--------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
Scorched3D: Scorched3D (3D artillery game)
Scorched3D:
Scorched3D: Scorched3D is a cross-platform 3D remake of the popular 2D